Package picard.fingerprint

## Enum CrosscheckMetric.DataType

- java.lang.Object
- - java.lang.Enum<CrosscheckMetric.DataType>
  - - picard.fingerprint.CrosscheckMetric.DataType

- All Implemented Interfaces:
    `Serializable`, `Comparable<CrosscheckMetric.DataType>`
  Enclosing class:
    CrosscheckMetric

      public static enum CrosscheckMetric.DataType
      extends Enum<CrosscheckMetric.DataType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FILE` |
    `LIBRARY` |
    `READGROUP` |
    `SAMPLE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CrosscheckMetric.DataType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static CrosscheckMetric.DataType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FILE

          public static final CrosscheckMetric.DataType FILE

    - #### SAMPLE

          public static final CrosscheckMetric.DataType SAMPLE

    - #### LIBRARY

          public static final CrosscheckMetric.DataType LIBRARY

    - #### READGROUP

          public static final CrosscheckMetric.DataType READGROUP

  - ### Method Detail

    - #### values

          public static CrosscheckMetric.DataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CrosscheckMetric.DataType c : CrosscheckMetric.DataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CrosscheckMetric.DataType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null